Tool
organization_roles_create
Creates a reusable organization role with allow/deny permission patterns (owner/admin)
Creates a reusable organization role with allow/deny permission patterns (owner/admin)
Behavior
- HTTP
POST /governance/api/v1/organizations/:orgId/roles
Arguments
Name | Type | Required | Description |
|---|---|---|---|
deny | array | — | No description in the catalog. |
name | string | • | No description in the catalog. |
allow | array | — | No description in the catalog. |
orgId | string | • | No description in the catalog. |
Response
Field | Type | Always | Description |
|---|---|---|---|
id | string | • | |
deny | array | • | |
name | string | • | |
type | string | • | |
allow | array | • | |
createdAt | string | • | |
updatedAt | string | • | |
organizationId | string | • |
Try it
Creates a reusable organization role with allow/deny permission patterns (owner/admin).